Bug 170150 - CAN-2005-3178 xloadimage NIFF buffer overflow
CAN-2005-3178 xloadimage NIFF buffer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xloadimage (Show other bugs)
4.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
impact=low,source=bugtraq,public=2005...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-07 15:22 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2005-802
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-18 11:50:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:802 low SHIPPED_LIVE Low: xloadimage security update 2005-10-18 00:00:00 EDT

  None (edit)
Description Josh Bressers 2005-10-07 15:22:29 EDT
A number of buffer overflow issues when processing NIFF images was reported to
bugtraq:
http://marc.theaimsgroup.com/?l=bugtraq&m=112862493918840&w=2

These issues are triggered by constructing a NIFF image with a very long
embedded image title.
Comment 1 Josh Bressers 2005-10-07 15:23:25 EDT
This issue should also affect RHEL2.1 and RHEL3
Comment 2 Red Hat Bugzilla 2005-10-18 11:50:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-802.html

Note You need to log in before you can comment on or make changes to this bug.